ProcStat (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcStat

    java.lang.Object
      org.hyperic.sigar.ProcStat

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CurrentProcessSummary

    public class ProcStat

extends java.lang.Object
implements java.io.Serializable

ProcStat sigar class.

See Also:
  Serialized Form

Constructor Summary
`ProcStat()`

Method Summary
`void` | `gather(Sigar sigar)`
`long` | `getIdle()` Get the Total number of processes in idle state.
`long` | `getRunning()` Get the Total number of processes in run state.
`long` | `getSleeping()` Get the Total number of processes in sleep state.
`long` | `getStopped()` Get the Total number of processes in stop state.
`long` | `getThreads()` Get the Total number of threads.
`long` | `getTotal()` Get the Total number of processes.
`long` | `getZombie()` Get the Total number of processes in zombie state.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcStat

    public ProcStat()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getTotal

    public long getTotal()

  Get the Total number of processes.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes

### getIdle

    public long getIdle()

  Get the Total number of processes in idle state.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes in idle state

### getRunning

    public long getRunning()

  Get the Total number of processes in run state.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes in run state

### getSleeping

    public long getSleeping()

  Get the Total number of processes in sleep state.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes in sleep state

### getStopped

    public long getStopped()

  Get the Total number of processes in stop state.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes in stop state

### getZombie

    public long getZombie()

  Get the Total number of processes in zombie state.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of processes in zombie state

### getThreads

    public long getThreads()

  Get the Total number of threads.

  Supported Platforms: All.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Total number of threads

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.